创建视频生成任务
curl --request POST \
--url https://api.tkhub.ai/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "kling-v1",
"prompt": "宇航员在月球上漫步",
"duration": 5,
"width": 1280,
"height": 720
}
'import requests
url = "https://api.tkhub.ai/v1/video/generations"
payload = {
"model": "kling-v1",
"prompt": "宇航员在月球上漫步",
"duration": 5,
"width": 1280,
"height": 720
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'kling-v1', prompt: '宇航员在月球上漫步', duration: 5, width: 1280, height: 720})
};
fetch('https://api.tkhub.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "abcd1234efgh",
"status": "queued"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}视频生成
创建视频生成任务
提交视频生成任务,支持文生视频和图生视频。
返回任务 ID,可通过 GET 接口查询任务状态。
POST
/
v1
/
video
/
generations
创建视频生成任务
Authorizations
使用 Bearer Token 认证。
格式: Authorization: Bearer sk-xxxxxx
Body
application/json
视频生成请求
模型/风格 ID
Example:
"kling-v1"
文本描述提示词
Example:
"宇航员站起身走了"
图片输入 (URL 或 Base64)
Example:
"https://example.com/image.jpg"
视频时长(秒)
Example:
5
视频宽度
Example:
1280
视频高度
Example:
720
视频帧率
Example:
30
随机种子
Example:
20231234
生成视频数量
Example:
1
响应格式
Example:
"url"
用户标识
Example:
"user-1234"
扩展参数 (如 negative_prompt, style, quality_level 等)
Was this page helpful?
⌘I